## com.twinsoft.convertigo.engine
Class AbstractContext

    java.lang.Object
      |
      +--com.twinsoft.convertigo.engine.AbstractContext

public abstract class AbstractContext
extends java.lang.Object

Field Summary
`java.lang.String` | `contextID`
`int` | `contextNum`
`long` | `creationTime`
`HttpServletRequest` | `httpServletRequest`
`HttpSession` | `httpSession`
`org.w3c.dom.Document` | `inputDocument`
`boolean` | `isCacheEnabled`
`long` | `lastAccessTime`
`org.w3c.dom.Document` | `outputDocument`
`java.lang.String` | `remoteAddr`
`java.lang.String` | `remoteHost`
`java.lang.String` | `servletPath`
`java.util.Vector` | `steps`
`java.lang.String` | `tasCommDevice`
`java.lang.String` | `tasDteAddress`
`java.lang.String` | `tasServiceCode`
`java.lang.String` | `tasSessionKey`
`java.lang.String` | `tasUserGroup`
`java.lang.String` | `tasUserName`
`java.lang.String` | `tasUserPassword`
`java.lang.String` | `tasVirtualServerName`
`java.lang.String` | `userAgent`

Constructor Summary
`AbstractContext()`

Method Summary
`java.lang.Object` | `get(java.lang.String key)` Gets a stored variable from the context.
`void` | `set(java.lang.String key, java.lang.Object value)` Stores a variable value into the context.
`boolean` | `waitAtScreenClass(int timeout, int hardDelay)` This method only concerns Minitel projects.
`boolean` | `waitNextPage(java.lang.String action, int timeout, int hardDelay)` This method only concerns Minitel projects.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### contextID

    public java.lang.String contextID

### contextNum

    public int contextNum

### creationTime

    public long creationTime

### lastAccessTime

    public long lastAccessTime

### httpServletRequest

    public HttpServletRequest httpServletRequest

### httpSession

    public HttpSession httpSession

### servletPath

    public java.lang.String servletPath

### userAgent

    public java.lang.String userAgent

### remoteAddr

    public java.lang.String remoteAddr

### remoteHost

    public java.lang.String remoteHost

### isCacheEnabled

    public boolean isCacheEnabled

### tasSessionKey

    public java.lang.String tasSessionKey

### tasUserName

    public java.lang.String tasUserName

### tasUserPassword

    public java.lang.String tasUserPassword

### tasUserGroup

    public java.lang.String tasUserGroup

### tasServiceCode

    public java.lang.String tasServiceCode

### tasDteAddress

    public java.lang.String tasDteAddress

### tasCommDevice

    public java.lang.String tasCommDevice

### tasVirtualServerName

    public java.lang.String tasVirtualServerName

### inputDocument

    public org.w3c.dom.Document inputDocument

### outputDocument

    public org.w3c.dom.Document outputDocument

### steps

    public java.util.Vector steps

Constructor Detail

### AbstractContext

    public AbstractContext()

Method Detail

### get

    public java.lang.Object get(java.lang.String key)

  Gets a stored variable from the context.

  Parameters:
    `key` - the requested key (i.e. the variable name).
  Returns:
    the variable value.

### set

    public void set(java.lang.String key,
                    java.lang.Object value)

  Stores a variable value into the context.

  Parameters:
    `key` - the variable name.
    `value` - the variable value.

### waitNextPage

    public boolean waitNextPage(java.lang.String action,
                                int timeout,
                                int hardDelay)
                         throws com.twinsoft.convertigo.engine.EngineException

  This method only concerns Minitel projects.

  Waits for a new page for the same screen class or a new screen class. The method wait for one of the screens described by the screen classes in the project to arrive. We wait for all the screen classes except the current one. In the case of a next page on the same screen class, waitNextPage() will monitor the cursor position. the method will return when the cursor position returns to the same position it was before calling waitNextPage(). You can use waitNextPage() method to synchronize your handler before returning "redetect", "accumulate" or "skip".

  Parameters:
    `timeout` - the time (in ms) we have to wait for the screen class.
    `hardDelay` - a delay (in ms) added after the nextpage has arrived.
  Returns:
    true, if we the page did arrive, false otherwise.
    `com.twinsoft.convertigo.engine.EngineException`

### waitAtScreenClass

    public boolean waitAtScreenClass(int timeout,
                                     int hardDelay)
                              throws com.twinsoft.convertigo.engine.EngineException

  This method only concerns Minitel projects.

  Waits for one of the screens described by the screen classes in the project to arrive. The method waits for all the screen classes except the current one. You can use waitAtScreenClass() method to synchronize your handler before returning "redetect", "accumulate" or "skip".

  Parameters:
    `timeout` - the time (in ms) we have to wait for the screen class.
    `hardDelay` - a delay (in ms) added after the screen class has arrived.
  Returns:
    true, if we the screen did arrive, false otherwise.
    `com.twinsoft.convertigo.engine.EngineException`

Submit a bug or feature
That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright (c) 1999-2002 TWinSoft - All rights reserved.